diff -Nur dpdk-21.11.org/drivers/net/bonding/rte_eth_bond_pmd.c dpdk-21.11/drivers/net/bonding/rte_eth_bond_pmd.c
--- dpdk-21.11.org/drivers/net/bonding/rte_eth_bond_pmd.c	2023-06-20 15:21:19.860000000 +0000
+++ dpdk-21.11/drivers/net/bonding/rte_eth_bond_pmd.c	2023-06-20 15:23:39.468000000 +0000
@@ -1848,6 +1848,15 @@
 					internals->mode4.dedicated_queues.flow[slave_eth_dev->data->port_id],
 					&flow_error);
 
+		errval = rte_eth_dev_start(slave_eth_dev->data->port_id);
+		if (errval != 0){
+                        RTE_BOND_LOG(ERR, "rte_eth_dev_start: port %u, err (%d)",
+                             slave_eth_dev->data->port_id, errval);
+			return errval;
+
+		}
+
+
 		errval = bond_ethdev_8023ad_flow_set(bonded_eth_dev,
 				slave_eth_dev->data->port_id);
 		if (errval != 0) {
